from Tkinter import *

class CallbackEntry(Entry):
    '''Replacement of Entry widget.  Set the "callback" attribute to
    your function, which will be called whenever the entry widget
    changes and will be passed the new contents of the widget'''
    
    def __init__(self, *args, **kw):
        apply(Entry.__init__, (self,)+args, kw)
        self.stringvar = StringVar(self)
        self.stringvar.trace_variable('w', self.changed)
        self.configure(textvariable=self.stringvar)
        self.callback = None
        
    def changed(self, *args):
        'Note that the args given to this method are useless'
        if self.callback != None:
            self.callback(self.stringvar.get())